%define repo kernelextra

Name:           sphere-repos-%{repo}
Version:        9.4
Release:        1%{?dist}
Summary:        MSVSphere LibreOffice packages repositories
Requires:       sphere-release >= %{version}-%{release}
Requires:       sphere-gpg-keys >= %{version}-%{release}

License:        GPLv2
URL:            http://msvsphere-os.ru
Source0:        msvsphere-%{repo}.repo
Source1:        EULA-SERVER
Source2:        EULA-ARM
Source3:        README
BuildArch:      noarch

%description
This package provides extra packages repository files for MSVSphere,
like Kernel LT, LT66 and ML.

%prep
echo "Nothing to prep"

%build
echo "Nothing to build"

%install

# Create dirs
install -d -m755 %{buildroot}%{_sysconfdir}/yum.repos.d
install -d -m755 %{buildroot}%{_datadir}/licenses/%{name}
install -d -m755 %{buildroot}%{_datadir}/doc/%{name}
install -m644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/
install -m644 %{SOURCE1} %{SOURCE2} %{buildroot}%{_datadir}/licenses/%{name}
install -m644 %{SOURCE3} %{buildroot}%{_datadir}/doc/%{name}


%files
%license EULA-SERVER EULA-ARM
%doc README
%config(noreplace) %{_sysconfdir}/yum.repos.d/*


%changelog
* Mon Aug 12 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 9.4-1
- Rebuilt for MSVSphere 9.4

* Mon Aug 12 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 9.4-1
- Initial build

